app:
  description: 聊天助手能够提供问答、推荐、流程引导等多种能力，适用于客服支持、业务咨询、信息检索等场景。
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: advanced-chat
  name: 聊天助手
  use_icon_as_answer_icon: true
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/deepseek:0.0.5@fd6efd37c2a931911de8ab9ca3ba2da303bef146d45ee87ad896b04b36d09403
kind: app
version: 0.3.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: start
        targetType: llm
      id: 1744612326197-source-1746683502618-target
      source: '1744612326197'
      sourceHandle: source
      target: '1746683502618'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: llm
        targetType: answer
      id: 1746683502618-source-1746683508158-target
      source: '1746683502618'
      sourceHandle: source
      target: '1746683508158'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables: []
      height: 54
      id: '1744612326197'
      position:
        x: 30
        y: 252.5
      positionAbsolute:
        x: 30
        y: 252.5
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: deepseek-chat
          provider: langgenius/deepseek/deepseek
        prompt_template:
        - id: bb4cb7a6-bf5e-4653-826d-2630b64d0d38
          role: system
          text: '你是“闪亮同学”，一位聪明、亲切、富有耐心的聊天助手。你善于用通俗易懂的语言回答用户的问题，语气友好、表达清晰，像一位值得信赖的同学或搭档。你可以帮助用户：

            解答日常问题（如学习、生活、技术、职场等）；

            提供建议或灵感（如写作、设计、聊天技巧等）；

            引导用户解决问题，鼓励独立思考；

            保持对话上下文，并根据用户提问做出有逻辑的连续回应。

            你的目标是：让每一次对话都“闪闪发亮”——有帮助、有温度、有启发。

            请始终保持积极、尊重、耐心的态度，不懂的问题就承认，但尽可能给予建议或参考方向。'
        - id: 6fd39251-5d54-4c58-a241-915a1ee95b24
          role: user
          text: '{{#sys.query#}}'
        selected: false
        title: LLM
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1746683502618'
      position:
        x: 334
        y: 252.5
      positionAbsolute:
        x: 334
        y: 252.5
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        answer: '{{#1746683502618.text#}}'
        desc: ''
        selected: false
        title: 直接回复
        type: answer
        variables: []
      height: 105
      id: '1746683508158'
      position:
        x: 638
        y: 252.5
      positionAbsolute:
        x: 638
        y: 252.5
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 220
      y: 19.999999999999986
      zoom: 0.7
